org.apache.ignite.internal.processors.rest.handlers.redis

## Interface GridRedisCommandHandler

All Known Implementing Classes:
  GridRedisAppendCommandHandler, GridRedisConnectionCommandHandler, GridRedisDbSizeCommandHandler, GridRedisDelCommandHandler, GridRedisExistsCommandHandler, GridRedisGetCommandHandler, GridRedisGetRangeCommandHandler, GridRedisGetSetCommandHandler, GridRedisIncrDecrCommandHandler, GridRedisMGetCommandHandler, GridRedisMSetCommandHandler, GridRedisRestCommandHandler, GridRedisSetCommandHandler, GridRedisSetRangeCommandHandler, GridRedisStrlenCommandHandler

    public interface GridRedisCommandHandler

Command handler.

### Method Summary

Methods
`IgniteInternalFuture<GridRedisMessage>` `handleAsync(GridRedisMessage msg)`
`Collection<GridRedisCommand>` `supportedCommands()`

### Method Detail

#### supportedCommands

    Collection<GridRedisCommand> supportedCommands()

Returns:
  Collection of supported commands.

#### handleAsync

    IgniteInternalFuture<GridRedisMessage> handleAsync(GridRedisMessage msg)

Parameters:
  `msg` - Request message.
Returns:
  Future.

2017 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.0.0
Release Date | : April 30 2017